import App from './App'

import common from '@/utils/common.js'
Vue.prototype.$common =common

import request from '@/utils/request.js'
Vue.prototype.$http = request.http
import store from './store'
Vue.prototype.$store = store // 定义成全局组件
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif